Page MenuHomePhabricator

Post to WikimediaAnnounce-l not forwarded to Wikimedia-l
Open, Needs TriagePublic

Description

This message https://lists.wikimedia.org/pipermail/wikimediaannounce-l/2015-October/001177.html was not forwarded to Wikimedia-l as it should have been..... verified by comparing the archives of both lists. A previous message (Signpost) was forwarded....

Please determine why and fix.

Event Timeline

Ariconte created this task.Oct 13 2015, 3:41 AM
Ariconte raised the priority of this task from to Needs Triage.
Ariconte updated the task description. (Show Details)
Ariconte added a subscriber: Ariconte.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 13 2015, 3:41 AM

So it's not "not forwarded properly" but "not forwarded" at all?

Not forwarded at all.....

Aklapper renamed this task from Post to WikimediaAnnounce-l not forwarded properly to Wikimedia-l to Post to WikimediaAnnounce-l not forwarded to Wikimedia-l.Oct 13 2015, 1:58 PM
Aklapper set Security to None.
JohnLewis added a subscriber: JohnLewis.

The reason is the list is not set to forward at all.

johnflewis@fermium:/var/lib/mailman/lists/wikimediaannounce-l$ sudo -u list cat output | grep "regular_include_lists"
regular_include_lists = []

regular_include_lists is set to null, which is the variable that tells Mailman which lists (if any) should also receive emails.

JohnLewis closed this task as Resolved.Oct 18 2015, 8:20 PM
johnflewis@fermium:/var/lib/mailman/lists/wikimediaannounce-l$ sudo -u list cat includelist
regular_include_lists = ['wikimedia-l@lists.wikimedia.org']

johnflewis@fermium:/var/lib/mailman/lists/wikimediaannounce-l$ sudo -u list config_list -i includelist --verbose wikimediaannounce-l
attribute "regular_include_lists" changed

johnflewis@fermium:/var/lib/mailman/lists/wikimediaannounce-l$ sudo -u list /var/lib/mailman/bin/config_list -o output wikimediaannounce-l                      
johnflewis@fermium:/var/lib/mailman/lists/wikimediaannounce-l$ sudo -u list cat output | grep "regular_include_lists"
regular_include_lists = ['wikimedia-l@lists.wikimedia.org']

This should now work as expected.

I have suspected this as the reason for a long time.....

Would someone with the appropriate rights please add wikimedia-l to the regular_include_lists and delete the membership of wikimedia-l in the wikimediaannounce-l list!!!

Then monitor till it is proved to be working.

Thanks, Richard.

Would someone with the appropriate rights please add wikimedia-l to the regular_include_lists

I did that above in my closure. Please monitor and report back if it doesn't solve the issue :)

delete the membership of wikimedia-l in the wikimediaannounce-l list!!!

Oh? I don't see wikimedia-l@lists.wikimedia.org but I do see foundation-l and per the alias for it, I assume it's that. I've remove foundation-l from the subscription list.

Ariconte reopened this task as Open.Dec 11 2015, 4:45 AM

A message to the wikimediaannounce-l list:

https://lists.wikimedia.org/pipermail/wikimediaannounce-l/2015-December/001215.html

was not forwarded to the wikimedia-l list. See listing here:

https://lists.wikimedia.org/pipermail/wikimedia-l/2015-December/date.html

Please investigate and resolve....

Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptDec 11 2015, 4:45 AM
Aklapper removed JohnLewis as the assignee of this task.Dec 11 2015, 7:05 AM

FWIW, some previous related discussion is at https://meta.wikimedia.org/wiki/Talk:Mailing_lists/Wikimedia_Announce#Automatic_forwarding_to_Wikimedia-l

And the process used in 2011 to set up the forwarding initially (by subscribing Foundation-l to Wikimediaannounce-l, and taking care not to spam the list with confirmation messages) is described in detail at T48022#529592 .

I think JohnLewis' action above was the correct solution..... and it works most of the time. Why it fails occasionally need to be investigated by a person having access to the Mailman backend....

Regards, Richard.

johnflewis@fermium:/var/lib/mailman/lists/wikimediaannounce-l$ sudo -u list cat includelist
regular_include_lists = ['wikimedia-l@lists.wikimedia.org']
johnflewis@fermium:/var/lib/mailman/lists/wikimediaannounce-l$ sudo -u list config_list -i includelist --verbose wikimediaannounce-l
attribute "regular_include_lists" changed
johnflewis@fermium:/var/lib/mailman/lists/wikimediaannounce-l$ sudo -u list /var/lib/mailman/bin/config_list -o output wikimediaannounce-l                      
johnflewis@fermium:/var/lib/mailman/lists/wikimediaannounce-l$ sudo -u list cat output | grep "regular_include_lists"
regular_include_lists = ['wikimedia-l@lists.wikimedia.org']

This should now work as expected.

Tgr added a subscriber: Tgr.Nov 4 2016, 9:47 PM

Not sure about wikimedia-announce, but with the mediawiki-announce => wikitech forwarding, it just resends your mail to the other list (ie. the end result will be the same as putting wikitech in CC), and if you are not subscribed to wikitech, it will bounce.

Not sure about wikimedia-announce, but with the mediawiki-announce => wikitech forwarding, it just resends your mail to the other list (ie. the end result will be the same as putting wikitech in CC), and if you are not subscribed to wikitech, it will bounce.

I am reasonably sure this is *not* how it is supposed to work, ie; the sender does not need to be a member of (in this case) wikimedia-l.

This is a long-standing problem that the foundation has not seen fit to fix. It hurts our communication - members of wikimedia-l may not see the announcements and when the postings are sent to both lists and the inclusion works as it should - resulting in two posts to wikimedia-l --- the poster looks like they don't know what they are doing.

Regards, Richard.